<?php

use WpBookingHotel\Factory;
use WpBookingHotel\Utilities\Utility;
use WpBookingHotel\Html\WpBookingHotelHtmlBackend as WpBookingHotelHtmlBackendAlias;
defined('_WPBOOKINGHOTEL_EXEC') or die;
extract($displayData);

WpBookingHotelHtmlBackendAlias::load_jquery_library('auto_numeric');

$doc = Factory::getDocument();

$id_by_name = "element_field_". $name;
?>
    <div id="<?php echo (esc_attr($id_by_name)) ?>" class="field-duration">
        <div class="wrapper-duration">
            <input type="text" value="<?php  echo (esc_attr($value)) ?>" class="form-control duration">
            <input type="hidden" <?php echo ($required?' required="required" ':'') ?>
                   name="<?php echo (esc_attr($name)); ?>" value="<?php echo (esc_attr($value)) ?>">
        </div>
    </div>
<?php
$doc->addScriptApplySelector('#'.$id_by_name,'field_duration',array(
    "input_name"=>  $name,
),'admin/app/layouts/WooBooking/form/field/duration/jquery.duration.js');
